Nefunkční editory

Martin
21. čen 2014 17:39 #116713
Ahoj všichni.
Rád bych Vás požádal o radu, nebo info čím to může být, když mi nefunguje ani jeden z nainstalovaných editorů.
Je to Artof, JCE atd na J 2.3.4. Pokud chci vytvořit nový článek, tak se mi nezobrazí ovládací panel editoru a pokud upravuji článek, tak to vyhodí např:
<p><!-- [if !mso]>
<style>
v\:* {behavior:url(#default#VML);}
o\:* {behavior:url(#default#VML);}
b\:* {behavior:url(#default#VML);}
.shape {behavior:url(#default#VML);}
</style>
<![endif]--></p>
<p><!-- [if pub]><xml>
<b:Publication type="OplPub" oty="68" oh="256">
<b:OhPrintBlock priv="30E">285</b:OhPrintBlock>
<b:NuDefaultUnits priv="1004">1</b:NuDefaultUnits>
<b:DptlPageDimensions type="OplPt" priv="1211">
<b:Xl priv="104">7560000</b:Xl>
<b:Yl priv="204">10692000</b:Yl>
</b:DptlPageDimensions>
<b:DxlDefaultTab priv="1504">359410</b:DxlDefaultTab>
<b:OhGallery priv="180E">259</b:OhGallery>
<b:OhFancyBorders priv="190E">261</b:OhFancyBorders>
<b:OhCaptions priv="1A0E">257</b:OhCaptions>
<b:OhQuillDoc priv="200E">280</b:OhQuillDoc>
<b:OhMailMergeData priv="210E">262</b:OhMailMergeData>
<b:OhColorScheme priv="220E">283</b:OhColorScheme>
<b:DwNextUniqueOid priv="2304">1</b:DwNextUniqueOid>
<b:IdentGUID priv="2A07">0HPS'R0($!$F;@U:SK]NJ\P</b:IdentGUID>
<b:DpgSpecial priv="2C03">5</b:DpgSpecial>
<b:CTimesEdited priv="3C04">1</b:CTimesEdited>
<b:NuDefaultUnitsEx priv="4104">1</b:NuDefaultUnitsEx>
</b:Publication>
<b:PrinterInfo type="OplPrb" oty="75" oh="285">
<b:OhColorSepBlock priv="30E">286</b:OhColorSepBlock>
<b:FInitComplete priv="1400">False</b:FInitComplete>
<b:DpiX priv="2203">0</b:DpiX>
<b:DpiY priv="2303">0</b:DpiY>
</b:PrinterInfo>
<b:ColorSeperationInfo type="OplCsb" oty="79" oh="286">
<b:Plates type="OplCsp" priv="214">
<b:OplCsp type="OplCsp" priv="11">
<b:EcpPlate type="OplEcp" priv="213">
<b:Color priv="104">-1</b:Color>
</b:EcpPlate>
</b:OplCsp>
</b:Plates>

atd.
Díky za případné odpovědi.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
21. čen 2014 18:04 #116714
A máte editor opravdu zaplý? (v globálním nastavení a v uživatelském profilu). Nevykazují stránky nějakou chybu v Javascriptu? Jaký prohlížeč?

Ten kód co píšete, znamená, že jste do článku nakopíroval obsah přímo z MS Word - to NIKDY nedělejte, máte-li své stránky jen trochu rád.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Martin
21. čen 2014 18:33 #116715
Ano kontroloval jsem jak gobal, tak uživatele.
Máte pravdu, že kopírovat bych to neměl :) Naštěstí jen testovací článek.
Jinak zkoušeno v FF a Chrome a chyba nikde žádná... U všech ostatních modulů problém není, pouze u těch editorů.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Martin
21. čen 2014 21:48 #116716

cic napsal: Ano kontroloval jsem jak gobal, tak uživatele.
Máte pravdu, že kopírovat bych to neměl :) Naštěstí jen testovací článek.
Jinak zkoušeno v FF a Chrome a chyba nikde žádná... U všech ostatních modulů problém není, pouze u těch editorů.


Tak jsem to zkusil obnovit ze zálohy a už mi editor "naskočil" ale ikony v ovládacím panelu editoru jsou prázdné...
Co je sakra špatně? Aktualizovat na nejnovější verzi Jooomla! memohu, čekám na aktualizaci PHP na serveru, tak že stále je to 3.2.4

Přidat přílohu s .jpg sem taky melze :)

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od ghost
21. čen 2014 23:48 #116717
a aktualizace editoru nepomaha?
mate vychozi admin sablonu nebo nejakou doinstalovanou?

Joomla! pro každého

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
22. čen 2014 14:43 - 22. čen 2014 14:45 #116721

cic napsal: ...nefunguje ani jeden z nainstalovaných editorů. Je to Artof, JCE ...

A jak jste tedy vytvořil ten článek bez editoru?

cic napsal: ... Máte pravdu, že kopírovat bych to neměl :) Naštěstí jen testovací článek...

Když to víte, tak proč to děláte? To je jedno, že jen testovací článek. Z cizích editorů a zdrojů se jen tak nic nevkládá. Hrozí zavlečení vadného kódu => problémy s funkčností.

cic napsal: ... Aktualizovat na nejnovější verzi Jooomla! memohu, čekám na aktualizaci PHP na serveru, tak že stále je to 3.2.4

Technické požadavky pro běh Joomla 3.2.4 i poslední 3.3.1 jsou shodné. Aktualizovat můžete kdykoli. Jestli už teď nesplňuje PHP na serveru požadavky, neměl jste tam Joomlu vůbec instalovat => problémy s funkčností.


Máte starší Joomlu s nefunkčními editory a v obsahu jeden článek. Tedy si jen hrajete. Co vám tedy brání nainstalovat Joomlu řádně v poslední verzi a použít editor, který vám vyhovuje? Samozřejmě i tento editor musí být nainstalován řádně a jeho verze musí být kompatibilní jak s Joomlou, tak technickými podmínkami vašeho serveru.

Nebo si alespoň Joomlu aktualizujte, odinstalujte stávající editory a nainstalujte jejich poslední verze. Zbavte se též "testovacích" článků se zkopírovaným obsahem. Nezapomeňte, že i vámi používané prohlížeče mají být v poslední aktualizované verzi.

Joomla 3.3.1
Artof Editor 1.0.6 pro J3
JCE 2.3.4.4

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.